[Date Prev][Date Next] [Chronological] [Thread] [Top]

SASL x OpenLDAP 2.2.5


The thread reborns again ... Setting my specific env variables I can run
configure for OpenLDAP 2.1.25 with SASL.

The same command line for OpenLDAP 2.2.5 doesn't work:

#env CPPFLAGS="-I/usr/local/BerkeleyDB.4.2/include"
LDFLAGS="-L/usr/local/BerkeleyDB.4.2/lib" ./configure

checking for sasl/sasl.h... yes
checking for sasl.h... yes
checking for sasl_client_init in -lsasl2... yes
checking Cyrus SASL library version... no
configure: error: Cyrus SASL library located but incompatible


configure:20736: checking for sasl/sasl.h
configure:20746: cc -E -I/usr/local/BerkeleyDB.4.2/include conftest.c
>/dev/null 2>conftest.out
configure:20736: checking for sasl.h
configure:20746: cc -E -I/usr/local/BerkeleyDB.4.2/include conftest.c
>/dev/null 2>conftest.out
configure:20775: checking for sasl_client_init in -lsasl2
configure:20794: cc -o
conftest -g -O2 -I/usr/local/BerkeleyDB.4.2/include -L/usr/local/BerkeleyDB.
.2/lib conftest.c -lsasl2  -lresolv  1>&5
configure:20868: checking Cyrus SASL library version

I just have sasl2 on my clean Mandrake box, does anybody have any clues ?

Thanks in advance !!

Luiz Ernesto Pinheiro Malère
55 11 3759-8209
EverSystems | The Next Generation Systems
São Paulo     www.eversystems.com